/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   extra.h                                            :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angouleme.fr  +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/01/04 14:03:10 by cchauvet          #+#    #+#             */
/*   Updated: 2023/01/05 20:31:50 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef EXTRA_H
# define EXTRA_H
# include <stdarg.h>
# include <stdlib.h>
# include "../libft/libft.h"

char		*ft_strfjoin(char *s1, char *s2);
char		*ft_strmerger(size_t arg_len, ...);
int			ft_is_in(char *str, char c);
char		**ft_tabrealloc(char **tab, size_t current_size, size_t new_size);
char		*ft_strndup(char *src, size_t n);
ssize_t		ft_strchri(char *str, char c);
int			ft_strcmp(char *s1, char *s2);
#endif
